* {
  font-family: 'Raleway', sans-serif;
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  background: #161b21 url(assets/images/bg.png);
  background-size: cover;
}

a {
  text-decoration: none;
}

#mainHeader {
  background: rgba(0, 0, 0, 0.3);
  box-shadow: 0px 33px 38.71px 10.29px rgba(53, 129, 242, 0.1);
  padding: 21px 0px;
  overflow: hidden;
}

.container {
  max-width: 1180px;
  margin: 0 auto;
  padding: 0 15px;
}

.logo {
  display: table;
  padding: 4px 0;
}

.logo img {
  float: left;
  padding: 4px 10px;
  padding-left: 0;
}

.logo span {
  margin: 0;
  color: #fff;
  font-size: 15px;
  font-weight: 600;
}

.logo p {
  float: left;
  margin: 0;
  color: #fff;
  font-size: 12px;
}

.left {
  float: left;
}

.right {
  float: right;
}

.button {
  color: #fff;
  line-height: 40px;
  display: table;
  border-radius: 3px;
overflow: hidden;
position: relative;
}

.button span {
  color: #fff;
  font-size: 16px;
  float: left;
  padding: 0 15px;
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;
  position: relative;
    z-index: 1;
}

.button p {
  color: #fff;
  margin: 0;
  float: left;
  padding: 0 20px;
  font-size: 13px;
  border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;
}

.button::before,
.button::after {
  background: rgba(256, 256, 256, 0.3);
  content: '';
  position: absolute;
  z-index: 0;
}

.button::after {
  /*background-color: #f00;*/
  height: 100%;
  left: -35%;
  top: 0;
  transform: skew(50deg);
  transition-duration: 0.6s;
  transform-origin: top left;
  width: 0;
}

.button:hover:after {
  height: 100%;
  width: 135%;
}

/* Green button */

.green {
  box-shadow: 0px 0px 38.71px 10.29px rgba(40, 166, 85, 0.13);
    background: #28a655;
}

.green span {
  background: #48b36e;
}

.green p {
  background: #28a655;
}

.blue:hover {
	background: #00a500;
}

/* Blue button */

.blue {
  box-shadow: 0px 0px 38.71px 10.29px rgba(46, 156, 230, 0.13);
    background: #2e9ce6;
}

.blue span {
  background: #4dabea;
}

.blue p {
  background: #2e9ce6;
}

.blue:hover {
	background: #0062a5;
}

/* Purple button */

.purple {
    box-shadow: 0px 0px 38.71px 10.29px rgba(240, 42, 80, 0.13);
    background: #ee2b51;
}

.purple span {
  background: #ea4d72;
}

.purple p {
  background: #ee2b51;
}

.purple:hover {
	background: #a5008c;
}

.topnav {
  overflow: hidden;
  padding: 20px 0;
  background-color: rgb(255, 255, 255, 0.03);
}

.topnav a {
  float: left;
  display: block;
  text-align: center;
  text-decoration: none;
  font-size: 14px;
  color: #acacac;
  font-weight: 600;
  padding: 0 20px;
}

.topnav a:hover {
  color: #fff;
}

.active {
  color: #fff;
}

.topnav .icon {
  display: none;
}

/* Slider */

.flex-caption {
  width: 96%;
  padding: 2%;
  left: 0;
  bottom: 0;
  background: rgba(0, 0, 0, .5);
  color: #fff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, .3);
  font-size: 14px;
  line-height: 18px;
}

.login {
  margin-right: 10px;
}

.clear {
  clear: both;
}

.filter {
  border-radius: 3px;
  background-color: rgb(21, 32, 43);
  box-shadow: 0px 0px 38.71px 10.29px rgba(41, 130, 241, 0.14);
  margin-top: 20px;
  margin-bottom: 30px;
  transition: 0.2s;
}

.filter:hover, .request:hover {
	box-shadow: 0px 0px 38.71px 10.29px rgba(41, 130, 241, 0.24);
	transition: 0.2s;
}

.filter h4 {
  padding: 15px;
  margin: 0;
  color: #fff;
  font-size: 14px;
  font-weight: 600;
  border-bottom: 1px solid #212b36;
}

.filter h4 i {
  margin-right: 10px;
}

.filter-content {
  padding: 15px;
  color: #fff;
  font-size: 13px;
}

.filter-content select {
  outline: none;
  padding: 10px;
  border-radius: 3px;
  background-color: #192430;
  color: #fff;
  border: 1px solid #212b36;
  max-width: 250px;
  width: 100%;
}

.filter-content span {
  margin-left: 25px;
}

.search span {
  margin-left: 0;
}

.filter-content input {
  margin: 0;
  vertical-align: middle;
}

.row {
  margin: 0 -10px;
}

.col-4 {
  width: 25%;
  float: left;
  padding: 10px;
  vertical-align: top;
}

.request {
  border-radius: 3px;
  background-color: rgb(21, 32, 43);
  box-shadow: 0px 0px 38.71px 10.29px rgba(41, 130, 241, 0.14);
  min-height: 400px;
  width: 100%;
  padding-bottom: 70px;
  position: relative;
  color: #fff;
  font-size: 13px;
  transition: 0.2s;
}

.request h4 {
  text-align: center;
  margin: 0;
  padding: 15px;
}

.request h4 img {
    vertical-align: middle;
    margin-right: 10px;
}

.status {
  background: #f02a50;
  text-align: center;
  padding: 5px;
}

.creator {
  text-align: center;
  padding: 20px 15px;
  border-bottom: 1px solid #212b36;
}

.option {
  padding: 15px;
  border-bottom: 1px solid #212b36;
  display: none;
}

.go-to-room {
  border-width: 1px;
  border-color: rgb(35, 46, 59);
  border-style: solid;
  border-radius: 3px;
  background-color: rgb(25, 36, 48);
  position: absolute;
  bottom: 10px;
  left: 10px;
  right: 10px;
  padding: 15px;
  text-align: center;
  color: #fff;
  font-size: 13px;
  transition: 0.3s;
}

.go-to-room:hover {
	background-color: rgb(33, 43, 54);
	transition: 0.3s;
}

.request i {
  margin-right: 5px; 
  color: #2e9ce6;
}

.hidden-success {
	display: none;
	visibility: hidden;
}

.message-login, .message-register, .message-forgot, .message-add {
	font-size: 13px;
    color: #fff;
}

.yes {
	display: block;
}

#cd-login.is-selected, #cd-signup.is-selected, #cd-reset-password.is-selected, #cd-add {
    display: block;
    background-color: rgb(21, 32, 43);
	border-bottom-left-radius: 3px;
	border-bottom-right-radius: 3px;
}

#cd-add {
	border-radius: 3px;
}

#cd-add h4 {
    display: block;
    width: 100%;
    height: 50px;
    line-height: 50px;
    color: #fff;
    background-color: rgb(19, 27, 35);
    font-size: 13px;
    height: 70px;
    line-height: 70px;
	margin-bottom: -10px;
	padding: 0 30px;
	font-weight: normal;
}

.select {
	outline: none;
    padding: 16px 20px 16px 20px;
    border-radius: 3px;
    background-color: #192430;
    color: #fff;
    border: 1px solid #212b36;
    width: 100%;
	margin-bottom: 15px;
}

.cd-form input.has-border {
    background-color: #192430;
    color: #fff;
    border: 1px solid #212b36;
}

.cd-user-modal-container .cd-switcher a.selected {
    background: #fff;
    color: #fff;
    background-color: rgb(21, 32, 43);
}

.cd-user-modal-container .cd-switcher a {
    display: block;
    width: 100%;
    height: 50px;
    line-height: 50px;
    color: #fff;
    background-color: rgb(19, 27, 35);
	font-size: 13px;;
}

#content {
    border-radius: 3px;
    background-color: rgb(21, 32, 43);
    box-shadow: 0px 0px 38.71px 10.29px rgba(41, 130, 241, 0.14);
    width: 100%;
    padding: 15px;
    position: relative;
    color: #fff;
    font-size: 13px;
    margin-top: 20px;
    margin-top: 20px;
    overflow: hidden;
}

#content h4 {
    line-height: 70px;
    padding: 0 20px;
    color: #fff;
    border-bottom: 1px solid #212b36;
    margin-left: -10px;
    margin-right: -10px;
    margin-top: -10px;
    font-size: 13px;
    text-transform: uppercase;
    font-weight: normal;
}

#content span {
    text-transform: initial;
    font-weight: 600;
}

#content .col-2 {
    float: right;
    width: 50%;
}

#content .cd-form {
    padding: 0;
    padding-right: 20px;
}

#footer {
    background: url(assets/images/footer.png) top center;
    background-size: cover;
    overflow: hidden;
    padding-top: 20px;
    color: #b0aeae;
    font-size: 14px;
    font-weight: 300;
    line-height: 25px;
    box-shadow: 0px 0px 38.71px 10.29px rgba(0, 0, 0, 0.20);
    margin-top: 50px;
}

.about {
	width: 40%;
	float: left;
	padding-right: 30px;
	vertical-align: top;
	margin-bottom: 20px;
}

.social {
	width: 30%;
	float: left;
	padding-right: 30px;
	vertical-align: top;
	margin-bottom: 20px;
}

.contact {
	width: 30%;
	float: left;
	vertical-align: top;
	margin-bottom: 20px;
}

#footer h4 {
	color: #fff;
	font-size: 16px;
	font-weight: 600;
}


#footer ul {
	margin: 0;
	padding: 0;
}

#footer ul li {
	margin: 0;
	padding: 0;
	list-style-type: none;
}


#footer  a {
	color: #b0aeae;
}

.lowerFooter {
	line-height: 60px;
	border-top: 1px solid #2c3038;
	clear: both;
	margin-top: 20px;
	text-align: center;
}

.message {
    padding: 20px;
	height: 400px;
    background-color: #192430;
    color: #fff;
    border: 1px solid #212b36;
    margin-bottom: 20px;
	overflow-y: scroll;
	    display: flex;
    flex-direction: column-reverse;
}

#sendMessage {
	padding-right: 0 !important;
}

.msg-wrap {
	padding: 5px;
	width: 100%;
}

.msg-date {
	color: #b0aeae;
	font-size: 10px;
}

.msg-user {
	font-weight: 600;
	text-transform: uppercase;
}

.channel-info {
    width: 300px;
    float: left;
    background-color: #192430;
    color: #fff;
    border: 1px solid #212b36;
    margin-right: 15px;
}


.channel-info .request {
	box-shadow: none;
	background: none;
    min-height: auto;
    width: 100%;
   padding-bottom: 0;
    position: relative;
    color: #fff;
    font-size: 13px;
}

.channel-info .request h4 {
	margin-right: 0 !important;
	margin-left: 0 !important;
	padding: 20px 0 !important;
    margin-top: 5px !important;
	line-height: initial !important;
	font-weight: 600 !important;
}

.channel-info .option {
	display: block;
}

.notFound {
	color: #fff !important;
}


@media screen and (max-width: 1180px) {
  .filter-content select {
    max-width: initial;
    margin-bottom: 15px;
  }

  .filter-content span {
    margin-left: 0;
    display: inline-block;
    padding: 15px;
  }

  .search span {
    margin-left: 0;
    padding: 0 15px;
  }

  .col-4 {
    width: 33.333%;
  }
  
  .channel-info {
		width: 240px;
	}
}

@media screen and (max-width: 780px) {
	
	.channel-info {
		width: 100%;
		margin-bottom: 20px;
	}
	
	.about {
		width: 100%;
	}
	
	.contact, .social {
		width: 50%;
	}
    
    #content .col-2 {
        float: initial;
        width: 100%;
        margin-top: 20px;
    }
    
    #content .cd-form {
        padding: 0;
    }

  .col-4 {
    width: 50%;
  }

  .filter-content span {
    width: 100%;
  }

  .search {
    width: 100%;
  }

  .search span {
    width: initial;
  }

  .topnav a:not(:first-child) {
    display: none;
  }
  .topnav a.icon {
    float: right;
    display: block;
    padding-top: 17px;
    padding-right: 10px;
    padding-bottom: 18px;
    font-size: 18px;
  }
  .topnav.responsive {
    position: relative;
  }
  .topnav.responsive .icon {
    text-align: right;
    padding-top: 17px;
    padding-right: 10px;
    padding-bottom: 18px;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
    padding: 15px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
  }
  .topnav {
    padding: 0;
  }
  .logo {
    float: none;
  }
  .userArea {
    float: none;
    width: 100%;
    padding: 10px 0;
  }
  .login {
    width: 49%;
    float: left;
    margin-right: 0px;
  }
  .register {
    width: 49%;
    float: right;
  }
  .button p {
    float: none;
    border-radius: 3px;
  }
  .button span {
    margin-right: 15px;
  }
}

@media screen and (max-width: 520px) {
  .col-4 {
    width: 100%;
  }
}

@media screen and (max-width: 420px) {
	
	.contact, .social ,.about {
		width: 100%;
	}
	
  .login {
    width: 100%;
    margin-bottom: 5px;
  }
  .register {
    width: 100%;
  }
}



/* -------------------------------- 

xsigin/signup popup 

-------------------------------- */
.cd-user-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(52, 54, 66, 0.9);
  z-index: 3;
  overflow-y: auto;
  cursor: pointer;
  visibility: hidden;
  opacity: 0;
  -webkit-transition: opacity 0.3s 0, visibility 0 0.3s;
  -moz-transition: opacity 0.3s 0, visibility 0 0.3s;
  transition: opacity 0.3s 0, visibility 0 0.3s;
}
.cd-user-modal.is-visible {
  visibility: visible;
  opacity: 1;
  -webkit-transition: opacity 0.3s 0, visibility 0 0;
  -moz-transition: opacity 0.3s 0, visibility 0 0;
  transition: opacity 0.3s 0, visibility 0 0;
}
.cd-user-modal.is-visible .cd-user-modal-container {
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}

.cd-user-modal-container {
  position: relative;
  width: 90%;
  max-width: 600px;
  background: #fff;
  margin: 3em auto 4em;
  cursor: auto;
  border-radius: 0.25em;
  -webkit-transform: translateY(-30px);
  -moz-transform: translateY(-30px);
  -ms-transform: translateY(-30px);
  -o-transform: translateY(-30px);
  transform: translateY(-30px);
  -webkit-transition-property: -webkit-transform;
  -moz-transition-property: -moz-transform;
  transition-property: transform;
  -webkit-transition-duration: 0.3s;
  -moz-transition-duration: 0.3s;
  transition-duration: 0.3s;
}
.cd-user-modal-container .cd-switcher::after {
  clear: both;
  content: "";
  display: table;
}

.cd-user-modal-container .cd-switcher {
	margin:0;
	padding:0;
}
.cd-user-modal-container .cd-switcher li {
  width: 50%;
  float: left;
  text-align: center;
  list-style: none;
}
.cd-user-modal-container .cd-switcher li:first-child a {
  border-radius: 0.25em 0 0 0;
}
.cd-user-modal-container .cd-switcher li:last-child a {
  border-radius: 0 0.25em 0 0;
}
.cd-user-modal-container .cd-switcher a {
  display: block;
  width: 100%;
  height: 50px;
  line-height: 50px;
}
@media only screen and (min-width: 600px) {
  .cd-user-modal-container {
    margin: 4em auto;
  }
  .cd-user-modal-container .cd-switcher a {
    height: 70px;
    line-height: 70px;
  }
}

.cd-form {
  padding: 1.4em;
}
.cd-form .fieldset {
  position: relative;
  margin: 1.4em 0;
  font-size: 13px;
  color: #fff;
}
.cd-form .fieldset:first-child {
  margin-top: 0;
}
.cd-form .fieldset:last-child {
  margin-bottom: 0;
}
.cd-form label {
  font-size: 14px;
  font-size: 0.875rem;
}
.cd-form label.image-replace {
  /* replace text with an icon */
  display: inline-block;
  position: absolute;
  left: 15px;
  top: 50%;
  bottom: auto;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  height: 20px;
  width: 20px;
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
  color: transparent;
  text-shadow: none;
  background-repeat: no-repeat;
  background-position: 50% 0;
}
.cd-form label.cd-username {
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/148866/cd-icon-username.svg");
}
.cd-form label.cd-email {
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/148866/cd-icon-email.svg");
}
.cd-form label.cd-password {
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/148866/cd-icon-password.svg");
}
.cd-form input {
  margin: 0;
  padding: 0;
  border-radius: 0.25em;
  vertical-align: middle;
}
.cd-form input.full-width {
  width: 100%;
}
.cd-form input.has-padding {
  padding: 12px 20px 12px 50px;
}
.cd-form input.has-border {
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  -o-appearance: none;
  appearance: none;
}
.cd-form input.has-border:focus {
  border-color: #343642;
  box-shadow: 0 0 5px rgba(52, 54, 66, 0.1);
  outline: none;
}
.cd-form input.has-error {
  border: 1px solid #d76666;
}

.cd-form input[type="submit"] {
  padding: 16px 0;
  cursor: pointer;
  color: #fff;
  font-weight: bold;
  border: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  -o-appearance: none;
  appearance: none;
  transition: 0.2s;
}

.cd-form input[type="submit"]:hover {
	transition: 0.2s;
}

.no-touch .cd-form input[type="submit"]:hover, .no-touch .cd-form input[type="submit"]:focus {

  outline: none;
}
.cd-form .hide-password {
  display: inline-block;
  position: absolute;
  right: 0;
  top: 0;
  padding: 6px 15px;
  border-left: 1px solid #d2d8d8;
  top: 50%;
  bottom: auto;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  font-size: 14px;
  font-size: 0.875rem;
  color: #343642;
}
.cd-form .cd-error-message {
  display: inline-block;
  position: absolute;
  left: -5px;
  bottom: -35px;
  background: rgba(215, 102, 102, 0.9);
  padding: 0.8em;
  z-index: 2;
  color: #fff;
  font-size: 13px;
  font-size: 0.8125rem;
  border-radius: 0.25em;
  /* prevent click and touch events */
  pointer-events: none;
  visibility: hidden;
  opacity: 0;
  -webkit-transition: opacity 0.2s 0, visibility 0 0.2s;
  -moz-transition: opacity 0.2s 0, visibility 0 0.2s;
  transition: opacity 0.2s 0, visibility 0 0.2s;
}
.cd-form .cd-error-message::after {
  /* triangle */
  content: "";
  position: absolute;
  left: 22px;
  bottom: 100%;
  height: 0;
  width: 0;
  border-bottom: 8px solid rgba(215, 102, 102, 0.9);
  border-left: 8px solid transparent;
  border-right: 8px solid transparent;
}
.cd-form .cd-error-message.is-visible {
  opacity: 1;
  visibility: visible;
  -webkit-transition: opacity 0.2s 0, visibility 0 0;
  -moz-transition: opacity 0.2s 0, visibility 0 0;
  transition: opacity 0.2s 0, visibility 0 0;
}
@media only screen and (min-width: 600px) {
  .cd-form {
    padding: 2em;
  }
  .cd-form .fieldset:first-child {
    margin-top: 0;
  }
  .cd-form .fieldset:last-child {
    margin-bottom: 0;
  }
  .cd-form input.has-padding {
    padding: 16px 20px 16px 50px;
  }
  .cd-form input[type="submit"] {
    padding: 16px 0;
  }
}

.cd-form-message {
  padding: 1.4em 1.4em 0;
  font-size: 14px;
  font-size: 0.875rem;
  line-height: 1.4;
  text-align: center;
}
@media only screen and (min-width: 600px) {
  .cd-form-message {
    padding: 2em 2em 0;
      margin: 0;
      color: #888;
  }
}

.cd-form-bottom-message {
  position: absolute;
  width: 100%;
  left: 0;
  text-align: center;
  font-size: 14px;
  font-size: 0.875rem;
}
.cd-form-bottom-message a {
  color: #fff;
  text-decoration: underline;
}

.cd-close-form {
  /* form X button on top right */
  display: block;
  position: absolute;
  width: 40px;
  height: 40px;
  right: 0;
  top: -40px;
  background: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/148866/cd-icon-close.svg") no-repeat center center;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
}
@media only screen and (min-width: 1170px) {
  .cd-close-form {
    display: none;
  }
}

#cd-login,
#cd-signup,
#cd-reset-password {
  display: none;
}

#cd-login.is-selected,
#cd-signup.is-selected,
#cd-reset-password.is-selected {
  display: block;
}
